summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Weber <xmw@gentoo.org>2016-02-11 13:58:35 +0100
committerMichael Weber <xmw@gentoo.org>2016-02-11 13:58:47 +0100
commitc32079b63a0c5b9cc8e5f184be58eecf465f8b8c (patch)
treed8f10397f2a84420f917ce8f4cce6833d45b8fe9 /sys-kernel/raspberrypi-image
parentdev-libs/libgcrypt: amd64 stable wrt bug #574268 (diff)
downloadgentoo-c32079b63a0c5b9cc8e5f184be58eecf465f8b8c.tar.gz
gentoo-c32079b63a0c5b9cc8e5f184be58eecf465f8b8c.tar.bz2
gentoo-c32079b63a0c5b9cc8e5f184be58eecf465f8b8c.zip
sys-kernel/raspberrypi-image: add 4.1 and 4.4 images.
Package-Manager: portage-2.2.27
Diffstat (limited to 'sys-kernel/raspberrypi-image')
-rw-r--r--sys-kernel/raspberrypi-image/Manifest2
-rw-r--r--sys-kernel/raspberrypi-image/raspberrypi-image-4.1.17_pre-r20160209.ebuild33
-rw-r--r--sys-kernel/raspberrypi-image/raspberrypi-image-4.4.1_pre-r20160209.ebuild33
3 files changed, 68 insertions, 0 deletions
diff --git a/sys-kernel/raspberrypi-image/Manifest b/sys-kernel/raspberrypi-image/Manifest
index 760491c53d5..819431828bd 100644
--- a/sys-kernel/raspberrypi-image/Manifest
+++ b/sys-kernel/raspberrypi-image/Manifest
@@ -6,3 +6,5 @@ DIST raspberrypi-image-3.18.14_pre-r20150520.tar.xz 12998340 SHA256 f7d5400f0631
DIST raspberrypi-image-3.19.3_pre-r20150327.tar.xz 12973956 SHA256 c1025b57a2423a1c2d98c136a5e332139a6734b2ddb3a605526c62d51ba1000d SHA512 5293ff2b75dc6f38f0e4dea5bb8322fdae9a799a1dc2e7f9791d8383e70e2ed39131a8e211514f74d72266b2570c8707abb735905a97f0ecf1c4ca595ac99fd6 WHIRLPOOL 0ef71e26e52014e4fba91edad94fb8bda315ecddf16108c713c4a2303e8a61de2df5626d41c2b45f7b7812252893d74fbb86c28ae1f85eb0441746924598ec93
DIST raspberrypi-image-3.19.3_pre-r20150413.tar.xz 12976080 SHA256 e7cca8243839e80a6fe358c57289ba8c149bdd38e4f2e6a10c8d6f31b8da3743 SHA512 141e245273713f95f85c0c474fd0aaf9b01b67c412574756f6cf4d820013706160b872f0435fa139c96110c8a6b0f2d9b68f71e31ddf05964cb6fcf7014a960a WHIRLPOOL 3fe2fa6fb2284bd155458ee201130a9b3d6dc69a76033c6512f30963e3d379bbcc68e2701e8d60b88827fdbb498048934de624a0b859d468ad4b03f425679497
DIST raspberrypi-image-4.0.4_pre-r20150523.tar.xz 13052304 SHA256 3cbe55ffccb6e7067f37b57a3bbcc7676ed89ae639f8663e17c94f0c8ec99d31 SHA512 c33517321769e5267d7084e82b54d9548bed77fed1755fd5985ac648cb5721fc462f2c062d0e003171eb4b0ccd3e5b0d7b41fc6783c6dd85f86089f54d8bbe60 WHIRLPOOL ef9359919e3da0de0edce3bacc16c70cb36fa66dc13051bde8c4dcb7c47782cd18fe8ed65ff992ae00454b109293ecbee4d71699adc78a7d17e903d1e91cd603
+DIST raspberrypi-image-4.1.17_pre-r20160209.tar.xz 13642752 SHA256 ad4c1069d19c34a05272fab1c326996b32510baac66bda5e50fb7356638849d0 SHA512 ac260fbb6dc3f8417d87624b2771b219f5a754618242cfa80c0e465902140c5715aca75a09e8827d096bb99688e0ac2b262bbadb98f1a47998a0febb0b99a96a WHIRLPOOL a3c44e28a07def36578de77352f76135a1c33de3148ad118fe466076c30dc06f6298b4fcffeb885c85f6e07330fd3dae2a608a2b6247ee193c586ad879d82e83
+DIST raspberrypi-image-4.4.1_pre-r20160209.tar.xz 13982668 SHA256 1f92aa045148c406491a1d83494e6d4463480f5ec4139f51d91fe81de5889658 SHA512 3ec1913c5d09110912a92aac546e5ec4965b7e5ae98f2561ca569982c5707a1377c47bff55f5c0c8e4db3b6a9b65b09d8ac6bb4112cff5b9396874c33be8c5de WHIRLPOOL 3ce35c3b6fd45d70d522c09fd0db2eb9c836a1c3b6f546d82d9fbc57ab2a5c4d94416b81c9705e3c1977813717bb5423cb7c17115c566a9a5a7a35fce31feafc
diff --git a/sys-kernel/raspberrypi-image/raspberrypi-image-4.1.17_pre-r20160209.ebuild b/sys-kernel/raspberrypi-image/raspberrypi-image-4.1.17_pre-r20160209.ebuild
new file mode 100644
index 00000000000..1e4eef4c795
--- /dev/null
+++ b/sys-kernel/raspberrypi-image/raspberrypi-image-4.1.17_pre-r20160209.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Raspberry PI precompiled kernel and modules"
+HOMEPAGE="https://github.com/raspberrypi/firmware"
+SRC_URI="https://dev.gentoo.org/~xmw/${PN}/${PF}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="${PVR}"
+KEYWORDS="~arm -*"
+IUSE=""
+
+S=${WORKDIR}
+
+RESTRICT="binchecks mirror strip"
+
+src_prepare() {
+ #hide kernel vectors
+ chmod go= boot/System* || die
+ # on a filesystem with permissions
+ mv boot/System* lib/modules/* || die
+ elog "System.map has been moved to $(ls -d lib/modules/*)"
+}
+
+src_install() {
+ mv -v boot "${D}" || die
+
+ dodir /lib
+ mv -v lib/modules "${D}"/lib || die
+}
diff --git a/sys-kernel/raspberrypi-image/raspberrypi-image-4.4.1_pre-r20160209.ebuild b/sys-kernel/raspberrypi-image/raspberrypi-image-4.4.1_pre-r20160209.ebuild
new file mode 100644
index 00000000000..1e4eef4c795
--- /dev/null
+++ b/sys-kernel/raspberrypi-image/raspberrypi-image-4.4.1_pre-r20160209.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Raspberry PI precompiled kernel and modules"
+HOMEPAGE="https://github.com/raspberrypi/firmware"
+SRC_URI="https://dev.gentoo.org/~xmw/${PN}/${PF}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="${PVR}"
+KEYWORDS="~arm -*"
+IUSE=""
+
+S=${WORKDIR}
+
+RESTRICT="binchecks mirror strip"
+
+src_prepare() {
+ #hide kernel vectors
+ chmod go= boot/System* || die
+ # on a filesystem with permissions
+ mv boot/System* lib/modules/* || die
+ elog "System.map has been moved to $(ls -d lib/modules/*)"
+}
+
+src_install() {
+ mv -v boot "${D}" || die
+
+ dodir /lib
+ mv -v lib/modules "${D}"/lib || die
+}